######################################################################
#
#       ToggleIK.py
#
#       Copyright (c) 2003 C. Cigas
#
#       craig@castironflamingo.com
#
#       FYI WhichLimb Undocumented Constants:
#
#               0       LeftLeg
#               1       RightLeg
#               2       RightArm
#               3       LeftArm
#
import poser

fig = poser.Scene().CurrentFigure()
if fig:
        if fig.IkStatus(0) == 0:
                val = 1
        else:
                val = 0
        for i in range(0, 4):
                fig.SetIkStatus(i, val)
